Bug 59118 - Lohit-Kannada renders ಚ್ಚ್ properly on Windows 8 but fails with harfbuzz
Summary: Lohit-Kannada renders ಚ್ಚ್ properly on Windows 8 but fails with harfbuzz
Status: RESOLVED FIXED
Alias: None
Product: HarfBuzz
Classification: Unclassified
Component: src (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Behdad Esfahbod
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-08 07:41 UTC by Pravin
Modified: 2013-01-09 08:06 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pravin 2013-01-08 07:41:26 UTC
Not sure is this bug from Harfbuzz, Since Tunga renders perfectly at both places (usp10.dll and harfbuzz).

But point here is Tunga has 'knd2' defined and lohit is 'knda', still Uniscribe renders Lohit perfectly. 

i/p  <u0c9a u0ccd u0c9a u0ccd>  "ಚ್ಚ್"
- u0c9a (Cons)
- u0ccd (Virama)

Harfbuzz reorder it to  <u0c9a u0c9a u0ccd u0ccd>

Uniscribe reorder it to <u0c9a u0ccd u0c9a u0ccd>

Handling this in font is bit tricky.

Harfbuzz output:

[U0C9A=0+758|U0C9A_0CCD.blwf=0@-345,16+0|U0CCD=0+354], Making ligature from first and third is bit tricky part in this case.

Lohit ttf from master: http://pravins.fedorapeople.org/Lohit-Kannada.ttf
Comment 1 Behdad Esfahbod 2013-01-09 00:10:32 UTC
Fixed.

commit ecd454b3cd75050e0c95e1d2aa55744559338ec8
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Jan 8 18:09:46 2013 -0600

    [Indic] In old-spec shaping, don't move viramas around if seq ends with one
    
    For example: u0c9a u0ccd u0c9a u0ccd with Lohit.  See:
    
    https://bugs.freedesktop.org/show_bug.cgi?id=59118
Comment 2 Pravin 2013-01-09 08:06:32 UTC
Tested with Lohit-Kannada and other kannada fonts like gubbi-fonts and navilu-fonts.
This works well now. 

Thanks for quick fix :)


bug/show.html.tmpl processed on Sep 29, 2016 at 23:54:32.
(provided by the Example extension).